%define name		clover10
%define version		1.0
%define release		1jpp
%define section		non-free

Summary:	Clover code coverage analysis tool
URL:		http://www.thecortex.net/clover/

Source0:	http://www.ibiblio.org/maven/clover/jars/clover-1.0.jar
NoSource:	0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Proprietary License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Clover is a code coverage analysis tool. It discovers 
sections of code that are not being adequately exercised 
by your unit tests. Clover reports its findings in 
multiple formats for easy use by the whole team at the 
project level down to each line of source code. 


%prep
%setup -T -c -n %{name}

%build
# Nope

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{SOURCE0} \
                $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*

%changelog

* Mon Aug 16 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0-1jpp
- Use clover-1.0 from www.ibiblio.org for maven only
